<?php
/**
 * CLASS Courses
 *
 * @author     Lukas Foldina <web@foldina.cz>
 * @copyright  2015
 * @version    1.1
 */

class Courses
{
    public $bank;
    public $currency;

    public function __construct($bank)
    {
        $this->bank = $bank;
    }

    public function showCourses()
    {
		try {
			$polemen = array();
			switch ($this->bank) {
				case 'CNB':
					$url="http://www.cnb.cz/cs/financni_trhy/devizovy_trh/kurzy_devizoveho_trhu/denni_kurz.txt";
					$ch = curl_init();
					curl_setopt($ch, CURLOPT_URL, $url);
					curl_setopt($ch, CURLOPT_HEADER, 0);
					curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
					$handle = curl_exec($ch);
					curl_close($ch);
					if ($handle) {
						$i=0;
						$radek=explode("\n",$handle);
						foreach ($radek as $buffer) {
							$i++;
							if ($i<=2) continue;
							if ($buffer) {
								$pole=explode("|",$buffer);
								$polemen[$pole[3]]=str_replace(",",".",$pole[4]);
							}
						}
					} else {
						throw new Exception("Chyba stahovani dat - ".$url);
					}
				break;
				case 'CSOB':
					$url="http://www.csob.cz/webcsob/kurzy/kurzynewcz.txt";
					$ch = curl_init();
					curl_setopt($ch, CURLOPT_URL, $url);
					curl_setopt($ch, CURLOPT_HEADER, 0);
					curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
					$handle = curl_exec($ch);
					curl_close($ch);
					if ($handle) {
						$i=0;
						$radek=explode("\n",$handle);
						foreach ($radek as $buffer) {
							$i++;
							if ($i<=4) continue;
							if ($buffer) {
								$pole=explode(";",$buffer);
								$polemen[$pole[2]]=str_replace(",",".",$pole[6]);
							}
						}
					} else {
						throw new Exception("Chyba stahovani dat - ".$url);
					}
				break;
			}
			if (count($polemen)==0) {
				throw new Exception("Chyba nenalezeny zadne kurzy");
			} else {
				return $polemen;
			}
		} catch (Exception $e) {
			echo $e;
		}
    }

    public function showOneCourse($currency)
    {
		try {
			$polemena = Courses::showCourses();
			if ($currency) {
				if ($polemena[$currency]) {
					return $polemena[$currency];
				} else {
					throw new Exception("Chyba kurz nenalezen");
				}
			} else {
				throw new Exception("Chyba nezadana mena");
			}
		} catch (Exception $e) {
			echo $e;
		}
    }

}
?>